/**
 * Created by zhang on 2018/9/3.
 */

let express = require("express");
let featureRouter =express.Router();
import FeatureController from "../controllers/project_feature_controller";
let featureController = new FeatureController();

module.exports =function (app){

    featureRouter.get("/main", featureController.auth, featureController.init, featureController.main);
    featureRouter.post("/addLib", featureController.auth, featureController.init, featureController.addLib);
    featureRouter.post("/findLib", featureController.auth, featureController.init, featureController.findLib);
    featureRouter.post("/saveLib", featureController.auth, featureController.init, featureController.saveLib);
    featureRouter.post("/deleteLibByID", featureController.auth, featureController.init, featureController.deleteLibByID);
    featureRouter.get("/edit/:libID", featureController.auth, featureController.init, featureController.edit);
    app.use("/projectFeature", featureRouter);
};


